#ifndef _H_FA39E3C598CD31D3034F883F7B67B18E_AckermannDriveStamped__H_
#define _H_FA39E3C598CD31D3034F883F7B67B18E_AckermannDriveStamped__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "std_msgs/msg/dds_opensplice/Header_.h"
#include "ackermann_msgs/msg/dds_opensplice/AckermannDrive_.h"


namespace ackermann_msgs
{
    namespace msg
    {
        namespace dds_
        {
            struct  AckermannDriveStamped_
            {
                ::std_msgs::msg::dds_::Header_ header_;
                ::ackermann_msgs::msg::dds_::AckermannDrive_ drive_;
            };

            typedef DDS_DCPSStruct_var<AckermannDriveStamped_> AckermannDriveStamped__var;
            typedef DDS_DCPSStruct_out < AckermannDriveStamped_> AckermannDriveStamped__out;

        }

    }

}

#endif /* _H_FA39E3C598CD31D3034F883F7B67B18E_AckermannDriveStamped__H_ */
